Skip to main content
IBM Quantum Platform

Accounts


Get account configuration

Get the current account information. If no account information is found, returns the default configuration.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following actions. You can check your access by going to Users > User > Access

  • quantum-computing.account-configuration.read

Auditing

Calling this method generates the following auditing events.

  • quantum-computing.account-configuration.read

Input

Path Parameters
Name, Type
Description
id
Required
string

Account id (without a/ prefix)

Query Parameters
Name, Type
Description
plan_id
string

Obtain the account configuration only for the specified plan

Code samples
GET
/v1/accounts/{id}

If your instance is in the eu-de region, use this URL instead: https://eu-de.quantum.cloud.ibm.com/api/v1/accounts/{id}

curl -X GET \
  https://quantum.cloud.ibm.com/api/v1/accounts/{id} \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer YOUR-TOKEN' \
  -H 'Service-CRN: YOUR-SERVICE-CRN' \
  -H 'IBM-API-Version: 2026-02-15'

Output

HTTP Response Status Codes
Status code
Description
200Account configuration successfully retrieved
400Bad Request
401Unauthorized
404Not Found
500Internal error
Responses
{
  "plans": [
    {
      "plan_id": "flex-plan-id-1",
      "usage_allocation_seconds": 200,
      "usage_limit_seconds": 200,
      "unallocated_usage_seconds": 200,
      "backends": [
        "ibm_backend"
      ],
      "max_ttl": 28800,
      "active_ttl": 28800,
      "interactive_ttl": 60,
      "start_time": "2025-05-17T00:00:00Z",
      "end_time": "2026-05-17T00:00:00Z"
    },
    {
      "plan_id": "plan-id-2",
      "usage_allocation_seconds": 150,
      "usage_limit_seconds": 300,
      "unallocated_usage_seconds": 10,
      "backends": [
        "backend1",
        "backend2"
      ]
    },
    {
      "plan_id": "plan-id-3",
      "backends": [
        "backend1",
        "backend2"
      ]
    }
  ]
}
Was this page helpful?
Report a bug, typo, or request content on GitHub.